## kpipewire 6.3.5

=== debian/changelog ===
kpipewire (6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
  * Backport upstream commits:
    - Fix major VP9 encoding performance issue in apps using kpipewire like
    spectacle by actually passing the encoding options to FFmpeg. (kde#488896)
    - Correctly handle asynchronous request and feedback of encoding status
    changes.
    - Improve encoding startup performance by only querying VAAPI when
    actually necessary.
  * Update symbols from build for 6.3.5.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:37 +0200

kpipewire (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 00:58:40 +0200
