=== debian/changelog ===
kpipewire (6.3.6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix incorrect backport of commit 0ac4aa41 that broke desktop
    sharing. (Closes: #1109233, thanks Antonio Russo for the detailed
    analysis !)
  * New upstream release (6.3.6).
    - Fix build with Qt 6.10.
  * Refresh patches.
  * Backport upstream commit: [9fe7a568] Adjust timers from the correct
    thread

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Jul 2025 16:45:40 +0200
