## kpipewire 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
-project(KPipewire VERSION "6.3.90")
+project(KPipewire)
+set(PROJECT_VERSION "6.4.5")
+string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
+list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
+list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
+list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(KF6_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.14.0")
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 include(KDEInstallDirs)
@@ -12,7 +17,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 
-find_package(Qt6 REQUIRED COMPONENTS DBus Quick)
+find_package(Qt6 REQUIRED COMPONENTS DBus OpenGL Quick)
 
 if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
     find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
@@ -50,7 +55,7 @@
 add_definitions(-DEGL_NO_PLATFORM_SPECIFIC_TYPES)
 
 ecm_set_disabled_deprecation_versions(QT 6.8.1
-   KF 6.9.0
+   KF 6.12.0
 )
 
 if (BUILD_TESTING)
