## kpipewire 6.4.5+p24.04+vstable+git20250928.0612

=== debian/changelog ===
kpipewire (6.4.5+p24.04+vstable+git20250928.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:12:01 +0000

kpipewire (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:48:19 +0000
