## kpipewire 6.4.5+p24.04+vstable+git20251012.0047

=== debian/changelog ===
kpipewire (6.4.5+p24.04+vstable+git20251012.0047-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 00:47:14 +0000
