## kpipewire 6.4.5+p24.04+vstable+git20251020.0947

=== debian/changelog ===
kpipewire (6.4.5+p24.04+vstable+git20251020.0947-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 09:47:28 +0000
