## kpipewire 6.5.0+p24.04+vstable+git20251024.0147

=== debian/changelog ===
kpipewire (6.5.0+p24.04+vstable+git20251024.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:47:36 +0000

kpipewire (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:43:43 +0000
