## kpipewire 6.5.0+p24.04+vunstable+git20251021.0817

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(KPipewire)
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.80")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
@@ -27,7 +27,7 @@
 
 find_package(EGL REQUIRED)
 
-pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3 REQUIRED)
+pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3>=0.3.33 REQUIRED)
 
 # ffmpeg, for recording
 pkg_check_modules(AVCodec IMPORTED_TARGET libavcodec REQUIRED)
