=== debian/changelog ===
kpipewire (6.5.0+p24.04+vunstable+git20251021.0817-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:17:39 +0000
