=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
          libkpipewirerecord6 (= ${binary:Version}),
          libpipewire-0.3-dev,
          qt6-base-dev,
-         qt6-declarative-dev,
          ${misc:Depends}
 Breaks: libkpipewire5 (<< 5.27.9)
 Replaces: libkpipewire5 (<< 5.27.9)
