## kpipewire 6.5.0+p24.04+vunstable+git20251021.0921

=== debian/changelog ===
kpipewire (6.5.0+p24.04+vunstable+git20251021.0921-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:21:51 +0000
